Debian Bug report logs - #666660
debian-zh-faq: FTBFS: ! LaTeX Error: File `url.sty' not found.

version graph

Package: src:debian-zh-faq; Maintainer for src:debian-zh-faq is Debian Chinese Team <chinese-developers@lists.alioth.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sat, 31 Mar 2012 20:11:45 UTC

Severity: serious

Tags: sid, wheezy

Found in version debian-zh-faq/1.12

Fixed in version debian-zh-faq/1.13

Done: LI Daobing <lidaobing@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Chinese Team <chinese-developers@lists.alioth.debian.org>:
Bug#666660; Package src:debian-zh-faq. (Sat, 31 Mar 2012 20:11:48 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian Chinese Team <chinese-developers@lists.alioth.debian.org>. (Sat, 31 Mar 2012 20:11:48 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: debian-zh-faq: FTBFS: ! LaTeX Error: File `url.sty' not found.
Date: Sat, 31 Mar 2012 21:27:46 +0200
Source: debian-zh-faq
Version: 1.12
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20120331 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[1]: Entering directory `/«PKGBUILDDIR»'
> slice	-o UNDEFuZH@uCN-EN:debian-zh-faq.zh_CN.tex.tmp \
> 		-o UNDEFuZH@uTW-EN:debian-zh-faq.zh_TW.tex.tmp \
> 		-o UNDEFuEN@uCN-ZH:debian-zh-faq.en.tex.tmp \
> 		debian-zh-faq.zh.tex.in
> # For LaTeX
> ./tocn.pl < debian-zh-faq.zh_CN.tex.tmp \
> 		> debian-zh-faq.zh_CN.tex
> ./tocn.pl < debian-zh-faq.en.tex.tmp \
> 		> debian-zh-faq.en.tex
> autob5 < debian-zh-faq.zh_TW.tex.tmp | ./totw.pl | ./totw_zhe.pl \
> 		> debian-zh-faq.zh_TW.tex
> # For LaTeX2HTML
> ./tohtml.pl < debian-zh-faq.zh_CN.tex.tmp | ./tocn.pl \
> 		> debian-zh-faq-zh_CN-html.tex
> ./tohtml.pl < debian-zh-faq.en.tex.tmp | ./tocn.pl \
> 		> debian-zh-faq-en-html.tex
> ./tohtml.pl < debian-zh-faq.zh_TW.tex.tmp | autob5 | ./totw.pl \
> 		| ./totw_zhe_html.pl > debian-zh-faq-zh_TW-html.tex
> # Checking to ensure all <s<????>> and <t<????>> are translated...
> # Good, it passes the test.
> latex debian-zh-faq.zh_CN.tex
> This is pdfTeX, Version 3.1415926-2.3-1.40.12 (TeX Live 2012/dev/Debian)
>  restricted \write18 enabled.
> entering extended mode
> (./debian-zh-faq.zh_CN.tex
> LaTeX2e <2011/06/27>
> Babel <v3.8m> and hyphenation patterns for english, dumylang, nohyphenation, lo
> aded.
> (/usr/share/texlive/texmf-dist/tex/latex/base/article.cls
> Document Class: article 2007/10/19 v1.4h Standard LaTeX document class
> (/usr/share/texlive/texmf-dist/tex/latex/base/size10.clo))
> (/usr/share/texmf/tex/latex/CJK/CJK.sty
> (/usr/share/texmf/tex/latex/CJK/mule/MULEenc.sty)
> (/usr/share/texmf/tex/latex/CJK/CJK.enc))
> (/usr/share/texmf/tex/latex/CJK/CJKnumb.sty)
> (/usr/share/texlive/texmf-dist/tex/latex/tools/multicol.sty)
> (/usr/share/texlive/texmf-dist/tex/latex/base/makeidx.sty)
> (/usr/share/texlive/texmf-dist/tex/latex/tools/xspace.sty)
> 
> ! LaTeX Error: File `url.sty' not found.
> 
> Type X to quit or <RETURN> to proceed,
> or enter new name. (Default extension: sty)
> 
> Enter file name: 
> ! Emergency stop.
> <read *> 
>          
> l.12 ^^M
>         
> No pages of output.
> Transcript written on debian-zh-faq.zh_CN.log.
> make[1]: *** [debian-zh-faq.zh_CN.dvi] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2012/03/31/debian-zh-faq_1.12_unstable.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chinese Team <chinese-developers@lists.alioth.debian.org>:
Bug#666660; Package src:debian-zh-faq. (Sun, 01 Apr 2012 11:27:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to YunQiang Su <wzssyqa@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Chinese Team <chinese-developers@lists.alioth.debian.org>. (Sun, 01 Apr 2012 11:27:13 GMT) Full text and rfc822 format available.

Message #10 received at 666660@bugs.debian.org (full text, mbox):

From: YunQiang Su <wzssyqa@gmail.com>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 666660@bugs.debian.org
Subject: Re: [Debian-zh-dev] Bug#666660: debian-zh-faq: FTBFS: ! LaTeX Error: File `url.sty' not found.
Date: Sun, 1 Apr 2012 19:24:07 +0800
I noticed that new version of texlive-latex-recommended has been uploaded,
maybe depends has been changed?

thus, texlive-latex-recommended doesn't install when build.

On Sun, Apr 1, 2012 at 3:27 AM, Lucas Nussbaum <lucas@lucas-nussbaum.net> wrote:
> Source: debian-zh-faq
> Version: 1.12
> Severity: serious
> Tags: wheezy sid
> User: debian-qa@lists.debian.org
> Usertags: qa-ftbfs-20120331 qa-ftbfs
> Justification: FTBFS on amd64
>
> Hi,
>
> During a rebuild of all packages in sid, your package failed to build on
> amd64.
>
> Relevant part:
>> make[1]: Entering directory `/«PKGBUILDDIR»'
>> slice -o UNDEFuZH@uCN-EN:debian-zh-faq.zh_CN.tex.tmp \
>>               -o UNDEFuZH@uTW-EN:debian-zh-faq.zh_TW.tex.tmp \
>>               -o UNDEFuEN@uCN-ZH:debian-zh-faq.en.tex.tmp \
>>               debian-zh-faq.zh.tex.in
>> # For LaTeX
>> ./tocn.pl < debian-zh-faq.zh_CN.tex.tmp \
>>               > debian-zh-faq.zh_CN.tex
>> ./tocn.pl < debian-zh-faq.en.tex.tmp \
>>               > debian-zh-faq.en.tex
>> autob5 < debian-zh-faq.zh_TW.tex.tmp | ./totw.pl | ./totw_zhe.pl \
>>               > debian-zh-faq.zh_TW.tex
>> # For LaTeX2HTML
>> ./tohtml.pl < debian-zh-faq.zh_CN.tex.tmp | ./tocn.pl \
>>               > debian-zh-faq-zh_CN-html.tex
>> ./tohtml.pl < debian-zh-faq.en.tex.tmp | ./tocn.pl \
>>               > debian-zh-faq-en-html.tex
>> ./tohtml.pl < debian-zh-faq.zh_TW.tex.tmp | autob5 | ./totw.pl \
>>               | ./totw_zhe_html.pl > debian-zh-faq-zh_TW-html.tex
>> # Checking to ensure all <s<????>> and <t<????>> are translated...
>> # Good, it passes the test.
>> latex debian-zh-faq.zh_CN.tex
>> This is pdfTeX, Version 3.1415926-2.3-1.40.12 (TeX Live 2012/dev/Debian)
>>  restricted \write18 enabled.
>> entering extended mode
>> (./debian-zh-faq.zh_CN.tex
>> LaTeX2e <2011/06/27>
>> Babel <v3.8m> and hyphenation patterns for english, dumylang, nohyphenation, lo
>> aded.
>> (/usr/share/texlive/texmf-dist/tex/latex/base/article.cls
>> Document Class: article 2007/10/19 v1.4h Standard LaTeX document class
>> (/usr/share/texlive/texmf-dist/tex/latex/base/size10.clo))
>> (/usr/share/texmf/tex/latex/CJK/CJK.sty
>> (/usr/share/texmf/tex/latex/CJK/mule/MULEenc.sty)
>> (/usr/share/texmf/tex/latex/CJK/CJK.enc))
>> (/usr/share/texmf/tex/latex/CJK/CJKnumb.sty)
>> (/usr/share/texlive/texmf-dist/tex/latex/tools/multicol.sty)
>> (/usr/share/texlive/texmf-dist/tex/latex/base/makeidx.sty)
>> (/usr/share/texlive/texmf-dist/tex/latex/tools/xspace.sty)
>>
>> ! LaTeX Error: File `url.sty' not found.
>>
>> Type X to quit or <RETURN> to proceed,
>> or enter new name. (Default extension: sty)
>>
>> Enter file name:
>> ! Emergency stop.
>> <read *>
>>
>> l.12 ^^M
>>
>> No pages of output.
>> Transcript written on debian-zh-faq.zh_CN.log.
>> make[1]: *** [debian-zh-faq.zh_CN.dvi] Error 1
>
> The full build log is available from:
>   http://people.debian.org/~lucas/logs/2012/03/31/debian-zh-faq_1.12_unstable.log
>
> A list of current common problems and possible solutions is available at
> http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!
>
> About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
> of the Grid'5000 platform, using a clean chroot.  Internet was not
> accessible from the build systems.
>
>
>
> _______________________________________________
> Chinese-developers mailing list
> Chinese-developers@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/chinese-developers



-- 
YunQiang Su




Reply sent to LI Daobing <lidaobing@debian.org>:
You have taken responsibility. (Sun, 29 Apr 2012 05:06:04 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sun, 29 Apr 2012 05:06:04 GMT) Full text and rfc822 format available.

Message #15 received at 666660-close@bugs.debian.org (full text, mbox):

From: LI Daobing <lidaobing@debian.org>
To: 666660-close@bugs.debian.org
Subject: Bug#666660: fixed in debian-zh-faq 1.13
Date: Sun, 29 Apr 2012 05:02:13 +0000
Source: debian-zh-faq
Source-Version: 1.13

We believe that the bug you reported is fixed in the latest version of
debian-zh-faq, which is due to be installed in the Debian FTP archive:

debian-zh-faq-s_1.13_all.deb
  to main/d/debian-zh-faq/debian-zh-faq-s_1.13_all.deb
debian-zh-faq-t_1.13_all.deb
  to main/d/debian-zh-faq/debian-zh-faq-t_1.13_all.deb
debian-zh-faq_1.13.dsc
  to main/d/debian-zh-faq/debian-zh-faq_1.13.dsc
debian-zh-faq_1.13.tar.gz
  to main/d/debian-zh-faq/debian-zh-faq_1.13.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 666660@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
LI Daobing <lidaobing@debian.org> (supplier of updated debian-zh-faq package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 29 Apr 2012 12:33:23 +0800
Source: debian-zh-faq
Binary: debian-zh-faq-s debian-zh-faq-t
Architecture: source all
Version: 1.13
Distribution: unstable
Urgency: low
Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
Changed-By: LI Daobing <lidaobing@debian.org>
Description: 
 debian-zh-faq-s - Debian Chinese FAQ (Chinese GB)
 debian-zh-faq-t - Debian Chinese FAQ (Chinese Big5)
Closes: 666660
Changes: 
 debian-zh-faq (1.13) unstable; urgency=low
 .
   * Fix "FTBFS: ! LaTeX Error: File `url.sty' not found." (Closes: #666660)
     - add build-depends: texlive-latex-recommended
Checksums-Sha1: 
 3176d237ffefc5ee9f24e72d225a0a12a92a1cce 1276 debian-zh-faq_1.13.dsc
 00a6c29eae389c3dcc53f5c6270613028f277773 38005 debian-zh-faq_1.13.tar.gz
 a5c2e7171950e15721bb3e5c20739473e5062ffb 967232 debian-zh-faq-s_1.13_all.deb
 13668d0e29c4370e6ac8f71ad3f29f032dceac25 1043680 debian-zh-faq-t_1.13_all.deb
Checksums-Sha256: 
 e3d7e19e18a9a01ac8887a5de6b4496a090b34c9b109b71016dd6330e5dbd975 1276 debian-zh-faq_1.13.dsc
 6b841b1e49080f4ade44a936f39b79b231d1d0cf01c141926aa4e9d456be9b6a 38005 debian-zh-faq_1.13.tar.gz
 e0776338d64147114ef5b28091d85ac165f5e07595e9601f27309b5b182fe251 967232 debian-zh-faq-s_1.13_all.deb
 57a3131147d2fbf1680bb23aeb48a2aa3a5212891a83a3ce31e29fb7b73500dc 1043680 debian-zh-faq-t_1.13_all.deb
Files: 
 74148e1eac08ab40d1de46a3a916ee50 1276 doc optional debian-zh-faq_1.13.dsc
 1191ae57420e97d2530983be455f8a00 38005 doc optional debian-zh-faq_1.13.tar.gz
 836eec6cdb11e9ecf982def7a9ada4e7 967232 doc optional debian-zh-faq-s_1.13_all.deb
 b51ac79ea39e0b25c371149ee2b76090 1043680 doc optional debian-zh-faq-t_1.13_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk+cx2gACgkQ5TUK4GCH0vgcwgCgrwKxUM10ehcGTM/lmuQbLe6s
K0QAnjtnPFLjq/+JezavCAeftjIC1tSe
=4Apg
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 06 Jun 2012 07:47:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:03:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.